Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234554 - missing requirements.
Summary: missing requirements.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-30 02:58 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-01 16:43:55 UTC


Attachments (Terms of Use)

Description David Woodhouse 2007-03-30 02:58:10 UTC
mkinitrd uses dmsetup if it's present, but doesn't require it. If dmsetup is
absent, mkinitrd silently spits out an initrd which isn't going to work.

Although there's an argument to be made for _not_ requiring device-mapper stuff,
on the basis that some people don't need it, in practice nash has a requirement
for at least the _libraries_ anyway so we might as well just pull in the tools too.

Comment 1 Will Woods 2007-08-01 16:43:55 UTC
current mkinitrd Requires device-mapper, which contains mdadm.


Note You need to log in before you can comment on or make changes to this bug.